Skip to main content
POST
/
api
/
v1
/
authorization
/
llm
/
revoke
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  await sdk.permissions.llm.revoke({
    revokePermissionRequest: {
      resourceType: "completion",
      resourceId: "my-completion-123",
      userId: "user-abc456",
      role: "reader",
    },
  });


}

run();

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Body

application/json
resourceType
enum<string>
required

Type of LLM resource

Available options:
completion,
file,
vector_store,
conversation,
response
resourceId
string
required

Unique identifier for the resource

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$
userId
string
required

Unique identifier for the user, or "*" to grant/revoke public access

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$
role
enum<string>
required

Permission role for the resource (owner > writer > reader)

Available options:
owner,
writer,
reader

Response

Permission revoked successfully